#!/bin/sh
#
# Startup script for Apache Tomcat with systemd
#
# Based on upstream sources from https://salsa.debian.org/java-team/tomcat9/-/blob/c60df65f3320543968ead9c2c8f923011b91aa79/debian/libexec/tomcat-start.sh
# with dropped support for enabling a security manager.
#

set -e

# Load the service settings
. /etc/default/tomcat9

# Find the Java runtime and set JAVA_HOME
. /opt/hibox/tomcat9/libexec/tomcat-locate-java.sh

# Set the JSP compiler if configured in the /etc/default/tomcat9 file
[ -n "$JSP_COMPILER" ] && JAVA_OPTS="$JAVA_OPTS -Dbuild.compiler=\"$JSP_COMPILER\""

export JAVA_OPTS

# Start Tomcat
cd $CATALINA_BASE && exec $CATALINA_HOME/bin/catalina.sh run
